summaryrefslogtreecommitdiff
path: root/.local
diff options
context:
space:
mode:
authorkrolxon <krolyxon@tutanota.com>2025-08-04 21:46:18 +0530
committerkrolxon <krolyxon@tutanota.com>2025-08-04 21:46:18 +0530
commit32b1abc39ff7e07c18cdae6bddb978ea4afeca37 (patch)
tree8c6595d24802e3f25f0436851c3053a486b5e91f /.local
parente6a46d699b5dafa35ffb38ccdf5153d67f7348e4 (diff)
use rofi for mounter, unmounter
Diffstat (limited to '.local')
-rwxr-xr-x.local/bin/mounter8
-rwxr-xr-x.local/bin/unmounter8
2 files changed, 8 insertions, 8 deletions
diff --git a/.local/bin/mounter b/.local/bin/mounter
index 241e6fd..38d3c9c 100755
--- a/.local/bin/mounter
+++ b/.local/bin/mounter
@@ -1,6 +1,6 @@
#!/bin/sh
-# Gives a dmenu prompt to mount unmounted drives. If
+# Gives a rofi -dmenu prompt to mount unmounted drives. If
# they're in /etc/fstab, they'll be mounted automatically. Otherwise, you'll
# be prompted to give a mountpoint from already existsing directories. If you
# input a novel directory, it will prompt you to create that directory.
@@ -8,16 +8,16 @@
getmount() { \
[ -z "$chosen" ] && exit 1
# shellcheck disable=SC2086
- mp="$(find $1 2>/dev/null | dmenu -i -p "Type in mount point.")" || exit 1
+ mp="$(find $1 2>/dev/null | rofi -dmenu -i -p "Type in mount point.")" || exit 1
test -z "$mp" && exit 1
if [ ! -d "$mp" ]; then
- mkdiryn=$(printf "No\\nYes" | dmenu -i -p "$mp does not exist. Create it?") || exit 1
+ mkdiryn=$(printf "No\\nYes" | rofi -dmenu -i -p "$mp does not exist. Create it?") || exit 1
[ "$mkdiryn" = "Yes" ] && (mkdir -p "$mp" || sudo -A mkdir -p "$mp")
fi
}
mountusb() { \
- chosen="$(echo "$usbdrives" | dmenu -i -p "Mount which drive?")" || exit 1
+ chosen="$(echo "$usbdrives" | rofi -dmenu -i -p "Mount which drive?")" || exit 1
chosen="$(echo "$chosen" | awk '{print $1}')"
sudo -A mount "$chosen" 2>/dev/null && notify-send "💻 USB mounting" "$chosen mounted." && exit 0
alreadymounted=$(lsblk -nrpo "name,type,mountpoint" | awk '$3!~/\/boot|\/home$|SWAP/&&length($3)>1{printf "-not ( -path *%s -prune ) ",$3}')
diff --git a/.local/bin/unmounter b/.local/bin/unmounter
index d9be444..184b3ae 100755
--- a/.local/bin/unmounter
+++ b/.local/bin/unmounter
@@ -1,12 +1,12 @@
#!/bin/sh
-# A dmenu prompt to unmount drives.
+# A rofi -dmenu prompt to unmount drives.
# Provides you with mounted partitions, select one to unmount.
# Drives mounted at /, /boot and /home will not be options to unmount.
unmountusb() {
[ -z "$drives" ] && exit
- chosen="$(echo "$drives" | dmenu -i -p "Unmount which drive?")" || exit 1
+ chosen="$(echo "$drives" | rofi -dmenu -i -p "Unmount which drive?")" || exit 1
chosen="$(echo "$chosen" | awk '{print $1}')"
[ -z "$chosen" ] && exit
sudo -A umount "$chosen" && notify-send "💻 USB unmounting" "$chosen unmounted."
@@ -14,9 +14,9 @@ unmountusb() {
drives=$(lsblk -nrpo "name,type,size,mountpoint,label" | awk -F':' '{gsub(/ /,":")}$4!~/\/boot|\/efi|\/home$|SWAP/&&length($4)>1{printf "%s (%s) %s\n",$4,$3,$5}')
-if [ -z "$drives" ]; then
+if [ -z "$drives" ]; then
echo "No drives to unmount." && exit
else
echo "Unmountable USB drive detected."
- unmountusb
+ unmountusb
fi